# File created from ./xfrin_messages.mes on Mon Nov 08 2021 07:27

import bundy.log

XFRIN_AXFR_INCONSISTENT_SOA = bundy.log.create_message("XFRIN_AXFR_INCONSISTENT_SOA", "AXFR SOAs are inconsistent for %1: %2 expected, %3 received")
XFRIN_BAD_MASTER_ADDR_FORMAT = bundy.log.create_message("XFRIN_BAD_MASTER_ADDR_FORMAT", "bad format for master address: %1")
XFRIN_BAD_MASTER_PORT_FORMAT = bundy.log.create_message("XFRIN_BAD_MASTER_PORT_FORMAT", "bad format for master port: %1")
XFRIN_BAD_TSIG_KEY_STRING = bundy.log.create_message("XFRIN_BAD_TSIG_KEY_STRING", "bad TSIG key string: %1")
XFRIN_BAD_ZONE_CLASS = bundy.log.create_message("XFRIN_BAD_ZONE_CLASS", "Invalid zone class: %1")
XFRIN_CC_SESSION_ERROR = bundy.log.create_message("XFRIN_CC_SESSION_ERROR", "error reading from cc channel: %1")
XFRIN_COMMAND_ERROR = bundy.log.create_message("XFRIN_COMMAND_ERROR", "error while executing command '%1': %2")
XFRIN_CONNECT_MASTER = bundy.log.create_message("XFRIN_CONNECT_MASTER", "error connecting to master at %1 for %2: %3")
XFRIN_DATASRC_CONFIG_ERROR = bundy.log.create_message("XFRIN_DATASRC_CONFIG_ERROR", "failed to update data source configuration: %1")
XFRIN_DATASRC_RECONFIGURED = bundy.log.create_message("XFRIN_DATASRC_RECONFIGURED", "data source configuration has been updated, generation ID %1")
XFRIN_DATASRC_UNKNOWN = bundy.log.create_message("XFRIN_DATASRC_UNKNOWN", "data source to transfer %1 to is unknown")
XFRIN_EXITING = bundy.log.create_message("XFRIN_EXITING", "exiting")
XFRIN_GOT_INCREMENTAL_RESP = bundy.log.create_message("XFRIN_GOT_INCREMENTAL_RESP", "got incremental response for %1")
XFRIN_GOT_NONINCREMENTAL_RESP = bundy.log.create_message("XFRIN_GOT_NONINCREMENTAL_RESP", "got nonincremental response for %1")
XFRIN_IMPORT_DNS = bundy.log.create_message("XFRIN_IMPORT_DNS", "error importing python DNS module: %1")
XFRIN_INITIAL_AXFR = bundy.log.create_message("XFRIN_INITIAL_AXFR", "no SOA available for %1 yet, requesting AXFR of initial version from %2")
XFRIN_INITIAL_IXFR = bundy.log.create_message("XFRIN_INITIAL_IXFR", "requesting IXFR for %1 from %2")
XFRIN_INITIAL_IXFR_DISABLED = bundy.log.create_message("XFRIN_INITIAL_IXFR_DISABLED", "IXFR disabled for %1, requesting AXFR from %2")
XFRIN_INVALID_ZONE_DATA = bundy.log.create_message("XFRIN_INVALID_ZONE_DATA", "zone %1 received from %2 is broken and unusable")
XFRIN_IXFR_TRANSFER_SUCCESS = bundy.log.create_message("XFRIN_IXFR_TRANSFER_SUCCESS", "incremental IXFR transfer of zone %1 succeeded (messages: %2, changesets: %3, deletions: %4, additions: %5, bytes: %6, run time: %7 seconds, %8 bytes/second)")
XFRIN_IXFR_UPTODATE = bundy.log.create_message("XFRIN_IXFR_UPTODATE", "IXFR requested serial for %1 is %2, master has %3, not updating")
XFRIN_MSGQ_SEND_ERROR = bundy.log.create_message("XFRIN_MSGQ_SEND_ERROR", "(with TSIG %1) error while contacting %2 and %3")
XFRIN_MSGQ_SEND_ERROR_ZONE_MANAGER = bundy.log.create_message("XFRIN_MSGQ_SEND_ERROR_ZONE_MANAGER", "(with TSIG %1) error while contacting %2")
XFRIN_NOTIFY_UNKNOWN_MASTER = bundy.log.create_message("XFRIN_NOTIFY_UNKNOWN_MASTER", "got notification to retransfer zone %1 from %2, expected %3")
XFRIN_NOTIFY_ZONEUPDATE = bundy.log.create_message("XFRIN_NOTIFY_ZONEUPDATE", "sending notification of updated on zone %1/%2")
XFRIN_RECEIVED_COMMAND = bundy.log.create_message("XFRIN_RECEIVED_COMMAND", "received command: %1")
XFRIN_RETRANSFER_UNKNOWN_ZONE = bundy.log.create_message("XFRIN_RETRANSFER_UNKNOWN_ZONE", "got notification to retransfer unknown zone %1")
XFRIN_STARTED = bundy.log.create_message("XFRIN_STARTED", "xfrin started")
XFRIN_STOPPED_BY_KEYBOARD = bundy.log.create_message("XFRIN_STOPPED_BY_KEYBOARD", "keyboard interrupt, shutting down")
XFRIN_TRANSFER_SUCCESS = bundy.log.create_message("XFRIN_TRANSFER_SUCCESS", "full %1 transfer of zone %2 succeeded (messages: %3, records: %4, bytes: %5, run time: %6 seconds, %7 bytes/second)")
XFRIN_TSIG_KEY_NOT_FOUND = bundy.log.create_message("XFRIN_TSIG_KEY_NOT_FOUND", "TSIG key not found in key ring: %1")
XFRIN_UNKNOWN_ERROR = bundy.log.create_message("XFRIN_UNKNOWN_ERROR", "unknown error: %1")
XFRIN_XFR_OTHER_FAILURE = bundy.log.create_message("XFRIN_XFR_OTHER_FAILURE", "%1 transfer of zone %2 failed: %3")
XFRIN_XFR_PROCESS_FAILURE = bundy.log.create_message("XFRIN_XFR_PROCESS_FAILURE", "%1 transfer of zone %2/%3 failed: %4")
XFRIN_XFR_TRANSFER_FAILURE = bundy.log.create_message("XFRIN_XFR_TRANSFER_FAILURE", "%1 transfer of zone %2 with %3 failed: %4")
XFRIN_XFR_TRANSFER_FALLBACK = bundy.log.create_message("XFRIN_XFR_TRANSFER_FALLBACK", "(with TSIG %1) falling back from IXFR to AXFR for %2")
XFRIN_XFR_TRANSFER_FALLBACK_DISABLED = bundy.log.create_message("XFRIN_XFR_TRANSFER_FALLBACK_DISABLED", "(with TSIG %1) suppressing fallback from IXFR to AXFR for %2")
XFRIN_XFR_TRANSFER_PROTOCOL_VIOLATION = bundy.log.create_message("XFRIN_XFR_TRANSFER_PROTOCOL_VIOLATION", "%1 transfer of zone %2 with %3 failed: %4")
XFRIN_XFR_TRANSFER_STARTED = bundy.log.create_message("XFRIN_XFR_TRANSFER_STARTED", "%1 transfer of zone %2 started")
XFRIN_ZONE_INVALID = bundy.log.create_message("XFRIN_ZONE_INVALID", "Newly received zone %1/%2 fails validation: %3")
XFRIN_ZONE_MULTIPLE_SOA = bundy.log.create_message("XFRIN_ZONE_MULTIPLE_SOA", "Zone %1 has %2 SOA RRs")
XFRIN_ZONE_NO_SOA = bundy.log.create_message("XFRIN_ZONE_NO_SOA", "Zone %1 does not have SOA")
XFRIN_ZONE_SERIAL_AHEAD = bundy.log.create_message("XFRIN_ZONE_SERIAL_AHEAD", "Serial number (%1) for %2 received from master %3 < ours (%4)")
XFRIN_ZONE_WARN = bundy.log.create_message("XFRIN_ZONE_WARN", "Newly received zone %1/%2 has a problem: %3")
